﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace SampleApplication
{
    public class BookRepository
    {
        private static List<Book> _list;

        public BookRepository()
        {
            _list = new List<Book>
            {
                new Book(isbn:"978-4822294540", title:"プログラミングMicrosoft ASP.NET 4", publisher:"日経BP", price:9450),
                new Book(isbn:"978-4822294663", title:"プログラミングMicrosoft ASP.NET MVC ASP.NET", publisher:"日経BP", price:5460),
                new Book(isbn:"978-4822294168", title:"プログラミング .NET Framework", publisher:"日経BP", price:7350),
                new Book(isbn:"978-4873115177", title:"プログラミングC#", publisher:"オライリージャパン", price:5040),
                new Book(isbn:"978-4798122519", title:"Effective C# 4.0", publisher:"翔泳社", price:3780),
                new Book(isbn:"978-4798119540", title:"More Effective C#", publisher:"翔泳社", price:3780),
                new Book(isbn:"978-4891006761", title:".NETのクラスライブラリ設計 開発チーム直伝の設計原則、コーディング標準、パターン ", publisher:"日経BPソフトプレス", price:4725)
            };
        }

        public IEnumerable<Book> FindAll()
        {
            return _list;
        }

        public Book Find(string isbn = "")
        {
            if (string.IsNullOrEmpty(isbn)) return default(Book);

            return _list.FirstOrDefault(b => b.ISBN == isbn);
        }
    }
}